Back to top

API Documentation

Envelope

Overview

All the above helps us to generate a PDF File. But the PDF files are legal documents. And therefore, must be signed. Rechat helps brokers to collect necessary signatures for a generated PDF File.

In order to do this, Rechat connects to a third party service called Docusign.

Docusign is a well-known service that allows anyone to collect signatures for legal documents. Most brokers already have Docusign accounts.

Therefore, in order for Rechat to be able to do anything in this section, the user would have to authenticate with his Docusign credentials.

An Envelope is a collection of PDF Files which have been sent to be signed.

So an envelope has the following attributes:

  • title (String) The title of the envelope which will appear in recipients’ email subject

  • status (Enum) Which can be: Sent,Delivered,Completed,Declined,Voided

  • recipients (Array) An array of EnvelopeRecipient, each one including information about a recipient and his signature

  • documents (Array) An array of EnvelopeDocument, each one including information about a document that we’ve tried to collect signatures fo

Authentication

Any of the endpoints in below might return HTTP 412. That would mean we do not have authentication for this user on Docusign or the Tokens we have for this user have been expired.

As a result of this, the authentication process described below must be restarted. If successful, the original action must be tried again.

The process of authenticating a user is as follows:

  1. User’s browser will be opened to /users/self/docusign/auth

  2. User’s browser will be redirected to Docusign

  3. User logs in and authorizes Rechat

  4. User’s browser will be redirected back to Rechat

  5. Control is given back to client (either using Browser’s postMessage mechanism or redirecting him to rechat:// on phones)

  6. Client tries again the initial action

Create a new Envelope without authentication

Create a new Envelope without authentication
POST/envelopes

In this example user has no Docusign authentication. Therefore will receicve a 412 error.

Example URI

POST /envelopes
Request
HideShow
Body
{
  "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
  "title": "This envelope is sent automatically from our test suite",
  "documents": [
    {
      "revision": null,
      "task": "ef4fad56-0005-4634-b234-c49ca8d428a3"
    }
  ],
  "recipients": [
    {
      "role": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
      "envelope_recipient_type": "Signer"
    },
    {
      "role": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
      "envelope_recipient_type": "CarbonCopy"
    }
  ],
  "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
  "owner": "80a227b2-29a0-11e7-b636-e4a7a08e15d4"
}
Response  412
HideShow
Body
{
  "trace": true,
  "http": 412,
  "message": "Invalid docusign authorization",
  "code": "DocusignAuthenticationRequired",
  "slack": false
}

Start authentication

Start authentication
GET/users/self/docusign/auth

Example URI

GET /users/self/docusign/auth

Create Envelope

Create Envelope
POST/envelopes

Example URI

POST /envelopes
Request
HideShow
Body
{
  "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
  "title": "This envelope is sent automatically from our test suite",
  "documents": [
    {
      "revision": null,
      "task": "ef4fad56-0005-4634-b234-c49ca8d428a3"
    }
  ],
  "recipients": [
    {
      "role": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
      "envelope_recipient_type": "Signer"
    },
    {
      "role": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
      "envelope_recipient_type": "CarbonCopy"
    },
    {
      "role": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
      "envelope_recipient_type": "Signer"
    },
    {
      "role": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
      "envelope_recipient_type": "CarbonCopy"
    }
  ],
  "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
  "owner": "80a227b2-29a0-11e7-b636-e4a7a08e15d4"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
    "created_at": 1769132525.094264,
    "updated_at": 1769132526.050904,
    "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
    "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
    "docusign_id": "0bd9ee91-0146-4268-8230-f8f4094935b5",
    "status": "Sent",
    "title": "This envelope is sent automatically from our test suite",
    "webhook_token": "b8b17886-f7fc-11f0-952b-d6c27ed4418a",
    "auto_notify": true,
    "owner": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
    "type": "envelope",
    "recipients": [
      {
        "id": "7e3929cc-7d70-4e81-8286-e5480eeff0d0",
        "created_at": 1769132525.106992,
        "updated_at": 1769132525.106992,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
          "created_at": 1769132524.633775,
          "updated_at": 1769132524.633775,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "BuyerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": null,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Wile",
          "legal_middle_name": "E.",
          "legal_last_name": "Coyote",
          "company_title": "ACME",
          "commission_percentage": 3,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": {
            "city": "Los Angeles",
            "full": "11687 Bellagio Rd, Los Angeles CA 90049",
            "name": "Bellagio",
            "type": "stdaddr",
            "line1": "11687 Bellagio Rd",
            "line2": "Los Angeles CA 90049",
            "state": "CA",
            "country": "USA",
            "suftype": "Rd",
            "postcode": "90049",
            "house_num": "11687"
          },
          "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Wile E. Coyote"
        },
        "order": 1,
        "envelope_recipient_type": "Signer",
        "type": "envelope_recipient"
      },
      {
        "id": "cd0f4388-cac2-4ccb-8f1a-2635fb4c1f7c",
        "created_at": 1769132525.108073,
        "updated_at": 1769132525.108073,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
          "created_at": 1769132524.635419,
          "updated_at": 1769132524.635419,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "SellerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": 20000,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Imaginary",
          "legal_middle_name": null,
          "legal_last_name": "Agent",
          "company_title": null,
          "commission_percentage": null,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": null,
          "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Imaginary Agent"
        },
        "order": 1,
        "envelope_recipient_type": "CarbonCopy",
        "type": "envelope_recipient"
      },
      {
        "id": "6642b91e-4fde-42ef-8d1d-5aa716e52fa7",
        "created_at": 1769132525.108685,
        "updated_at": 1769132525.108685,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
          "created_at": 1769132524.633775,
          "updated_at": 1769132524.633775,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "BuyerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": null,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Wile",
          "legal_middle_name": "E.",
          "legal_last_name": "Coyote",
          "company_title": "ACME",
          "commission_percentage": 3,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": {
            "city": "Los Angeles",
            "full": "11687 Bellagio Rd, Los Angeles CA 90049",
            "name": "Bellagio",
            "type": "stdaddr",
            "line1": "11687 Bellagio Rd",
            "line2": "Los Angeles CA 90049",
            "state": "CA",
            "country": "USA",
            "suftype": "Rd",
            "postcode": "90049",
            "house_num": "11687"
          },
          "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Wile E. Coyote"
        },
        "order": 1,
        "envelope_recipient_type": "Signer",
        "type": "envelope_recipient"
      },
      {
        "id": "173d36f3-5e8f-48a4-9b11-61310c276df0",
        "created_at": 1769132525.109241,
        "updated_at": 1769132525.109241,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
          "created_at": 1769132524.635419,
          "updated_at": 1769132524.635419,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "SellerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": 20000,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Imaginary",
          "legal_middle_name": null,
          "legal_last_name": "Agent",
          "company_title": null,
          "commission_percentage": null,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": null,
          "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Imaginary Agent"
        },
        "order": 1,
        "envelope_recipient_type": "CarbonCopy",
        "type": "envelope_recipient"
      }
    ],
    "documents": [
      {
        "id": "a773652b-69af-4af8-8245-f74a5d856145",
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "title": "Addendum for Back-Up Contract.pdf",
        "document_id": 1,
        "submission_revision": "7ded7881-cf37-4c0e-b7a5-6a4e213cf244",
        "file": null,
        "task": "ef4fad56-0005-4634-b234-c49ca8d428a3",
        "submission": "f4b77f0a-1773-4344-8945-3ed8f9a42fb2",
        "type": "envelope_document",
        "pdf": {
          "id": "18167cf4-4fc4-4547-8494-8fb9d7c634f6",
          "created_at": 1769132526.079523,
          "updated_at": 1769132526.079523,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "path": "3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf",
          "name": "Addendum for Back-Up Contract.pdf.pdf",
          "public": false,
          "type": "file",
          "url": "https://private-cdn.irish.rechat.com/3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf?Expires=1769218926083&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=Ljf9sCCO3blVEuTBqyXNqon4eXN3OkRzHC2Vmtm07DnEq61BHNHFI5irMySF9RdRd5MwcEprNQ6XirHNG-Ycpa5nz3cnro-gh0EgsOtM4Q-3g6twFhNtYYjW47C20mEMMy0nZ3WwRnpGIgtNlBsMT0hV18tRORFdZk7WAqFR6f5B2~sYiF~EkHpltC~pm709VUDLIKUWctCdIJge9MyQkNjJL4jpw5pjBj1-oZUbJVus7DgciYAzxSjd20UnMWAa7kLjldLKsQ8uVRNOGJWR2aheeQ2eCbFD2bvilDoJierivKXrvYMeqf-gxCU4UMvNcUH--lfGQ5SYZPHUib52MQ__",
          "preview_url": "http://assets.rechat.com/mimes/application-pdf.png",
          "mime": "application/pdf"
        }
      }
    ]
  }
}

Get Envelope

Get Envelope
GET/envelopes/:id

Example URI

GET /envelopes/:id
URI Parameters
HideShow
id
string (required) Example: a11b9e6f-688d-4649-81e2-7dce84b7e57d
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
    "created_at": 1769132525.094264,
    "updated_at": 1769132526.050904,
    "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
    "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
    "docusign_id": "0bd9ee91-0146-4268-8230-f8f4094935b5",
    "status": "Sent",
    "title": "This envelope is sent automatically from our test suite",
    "webhook_token": "b8b17886-f7fc-11f0-952b-d6c27ed4418a",
    "auto_notify": true,
    "owner": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
    "type": "envelope",
    "recipients": [
      {
        "id": "7e3929cc-7d70-4e81-8286-e5480eeff0d0",
        "created_at": 1769132525.106992,
        "updated_at": 1769132525.106992,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
          "created_at": 1769132524.633775,
          "updated_at": 1769132524.633775,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "BuyerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": null,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Wile",
          "legal_middle_name": "E.",
          "legal_last_name": "Coyote",
          "company_title": "ACME",
          "commission_percentage": 3,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": {
            "city": "Los Angeles",
            "full": "11687 Bellagio Rd, Los Angeles CA 90049",
            "name": "Bellagio",
            "type": "stdaddr",
            "line1": "11687 Bellagio Rd",
            "line2": "Los Angeles CA 90049",
            "state": "CA",
            "country": "USA",
            "suftype": "Rd",
            "postcode": "90049",
            "house_num": "11687"
          },
          "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Wile E. Coyote"
        },
        "order": 1,
        "envelope_recipient_type": "Signer",
        "type": "envelope_recipient"
      },
      {
        "id": "cd0f4388-cac2-4ccb-8f1a-2635fb4c1f7c",
        "created_at": 1769132525.108073,
        "updated_at": 1769132525.108073,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
          "created_at": 1769132524.635419,
          "updated_at": 1769132524.635419,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "SellerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": 20000,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Imaginary",
          "legal_middle_name": null,
          "legal_last_name": "Agent",
          "company_title": null,
          "commission_percentage": null,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": null,
          "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Imaginary Agent"
        },
        "order": 1,
        "envelope_recipient_type": "CarbonCopy",
        "type": "envelope_recipient"
      },
      {
        "id": "6642b91e-4fde-42ef-8d1d-5aa716e52fa7",
        "created_at": 1769132525.108685,
        "updated_at": 1769132525.108685,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
          "created_at": 1769132524.633775,
          "updated_at": 1769132524.633775,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "BuyerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": null,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Wile",
          "legal_middle_name": "E.",
          "legal_last_name": "Coyote",
          "company_title": "ACME",
          "commission_percentage": 3,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": {
            "city": "Los Angeles",
            "full": "11687 Bellagio Rd, Los Angeles CA 90049",
            "name": "Bellagio",
            "type": "stdaddr",
            "line1": "11687 Bellagio Rd",
            "line2": "Los Angeles CA 90049",
            "state": "CA",
            "country": "USA",
            "suftype": "Rd",
            "postcode": "90049",
            "house_num": "11687"
          },
          "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Wile E. Coyote"
        },
        "order": 1,
        "envelope_recipient_type": "Signer",
        "type": "envelope_recipient"
      },
      {
        "id": "173d36f3-5e8f-48a4-9b11-61310c276df0",
        "created_at": 1769132525.109241,
        "updated_at": 1769132525.109241,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
          "created_at": 1769132524.635419,
          "updated_at": 1769132524.635419,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "SellerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": 20000,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Imaginary",
          "legal_middle_name": null,
          "legal_last_name": "Agent",
          "company_title": null,
          "commission_percentage": null,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": null,
          "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Imaginary Agent"
        },
        "order": 1,
        "envelope_recipient_type": "CarbonCopy",
        "type": "envelope_recipient"
      }
    ],
    "documents": [
      {
        "id": "a773652b-69af-4af8-8245-f74a5d856145",
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "title": "Addendum for Back-Up Contract.pdf",
        "document_id": 1,
        "submission_revision": "7ded7881-cf37-4c0e-b7a5-6a4e213cf244",
        "file": null,
        "task": "ef4fad56-0005-4634-b234-c49ca8d428a3",
        "submission": "f4b77f0a-1773-4344-8945-3ed8f9a42fb2",
        "type": "envelope_document",
        "pdf": {
          "id": "18167cf4-4fc4-4547-8494-8fb9d7c634f6",
          "created_at": 1769132526.079523,
          "updated_at": 1769132526.079523,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "path": "3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf",
          "name": "Addendum for Back-Up Contract.pdf.pdf",
          "public": false,
          "type": "file",
          "url": "https://private-cdn.irish.rechat.com/3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf?Expires=1769218926083&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=Ljf9sCCO3blVEuTBqyXNqon4eXN3OkRzHC2Vmtm07DnEq61BHNHFI5irMySF9RdRd5MwcEprNQ6XirHNG-Ycpa5nz3cnro-gh0EgsOtM4Q-3g6twFhNtYYjW47C20mEMMy0nZ3WwRnpGIgtNlBsMT0hV18tRORFdZk7WAqFR6f5B2~sYiF~EkHpltC~pm709VUDLIKUWctCdIJge9MyQkNjJL4jpw5pjBj1-oZUbJVus7DgciYAzxSjd20UnMWAa7kLjldLKsQ8uVRNOGJWR2aheeQ2eCbFD2bvilDoJierivKXrvYMeqf-gxCU4UMvNcUH--lfGQ5SYZPHUib52MQ__",
          "preview_url": "http://assets.rechat.com/mimes/application-pdf.png",
          "mime": "application/pdf"
        }
      }
    ]
  }
}

Get Envelopes of a deal

Get Envelopes of a deal
GET/deals/:deal/envelopes

Example URI

GET /deals/:deal/envelopes
URI Parameters
HideShow
deal
string (required) Example: 3752685b-3fab-488a-a3cb-b8573bc16307
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
      "created_at": 1769132525.094264,
      "updated_at": 1769132526.050904,
      "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
      "docusign_id": "0bd9ee91-0146-4268-8230-f8f4094935b5",
      "status": "Sent",
      "title": "This envelope is sent automatically from our test suite",
      "webhook_token": "b8b17886-f7fc-11f0-952b-d6c27ed4418a",
      "auto_notify": true,
      "owner": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "type": "envelope",
      "recipients": [
        {
          "id": "7e3929cc-7d70-4e81-8286-e5480eeff0d0",
          "created_at": 1769132525.106992,
          "updated_at": 1769132525.106992,
          "signed_at": null,
          "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
          "status": "Created",
          "role": {
            "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
            "created_at": 1769132524.633775,
            "updated_at": 1769132524.633775,
            "deleted_at": null,
            "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "role": "BuyerAgent",
            "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
            "user": {
              "type": "user",
              "username": null,
              "first_name": "Unit",
              "last_name": "Test",
              "email": "[email protected]",
              "phone_number": "+4368120265807",
              "created_at": 1493115498.770362,
              "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "address_id": null,
              "cover_image_url": null,
              "profile_image_url": null,
              "updated_at": 1769132523.434808,
              "user_status": "Active",
              "profile_image_thumbnail_url": null,
              "cover_image_thumbnail_url": null,
              "email_confirmed": true,
              "timezone": "America/Chicago",
              "user_type": "Agent",
              "deleted_at": null,
              "phone_confirmed": false,
              "is_shadow": false,
              "personal_room": null,
              "brand": null,
              "fake_email": false,
              "features": [
                "Deals"
              ],
              "last_seen_at": null,
              "email_signature": null,
              "daily_enabled": true,
              "email_quota": 30000,
              "website": null,
              "instagram": null,
              "twitter": null,
              "linkedin": null,
              "youtube": null,
              "facebook": null,
              "designation": null,
              "tiktok": null,
              "mfa_enabled": false,
              "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "current_time": "7:42 PM - Thursday Jan 22, 2026",
              "push_allowed": true,
              "agents": [
                {
                  "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                  "email": "[email protected]",
                  "mlsid": "00920130",
                  "fax": "(972) 264-4703",
                  "full_name": "Gholi Sweet",
                  "first_name": "Gholi",
                  "last_name": "Sweet",
                  "middle_name": null,
                  "phone_number": "(972) 264-4703",
                  "nar_number": "797500044",
                  "office_mui": "15512742",
                  "status": "Active",
                  "office_mlsid": "RCHT01X",
                  "work_phone": "(469) 358-8080",
                  "generational_name": null,
                  "matrix_unique_id": "155155530",
                  "updated_at": 1769132523.548348,
                  "deleted_at": null,
                  "created_at": 1769132523.548348,
                  "mls": "NTREIS",
                  "license_number": null,
                  "designation": null,
                  "nrds": "01053140",
                  "type": "agent",
                  "office_id": null,
                  "secret_questions": [
                    "(972) XXX-XX03",
                    "jewellxxxxxxxxxxxxxal.net",
                    "(469) XXX-XX80"
                  ]
                }
              ],
              "last_seen_type": null,
              "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
              "display_name": "Unit Test",
              "abbreviated_display_name": "Unit",
              "online_state": "Offline",
              "has_password": true
            },
            "commission_dollar": null,
            "brokerwolf_id": null,
            "brokerwolf_row_version": null,
            "legal_prefix": null,
            "legal_first_name": "Wile",
            "legal_middle_name": "E.",
            "legal_last_name": "Coyote",
            "company_title": "ACME",
            "commission_percentage": 3,
            "email": "[email protected]",
            "phone_number": null,
            "checklist": null,
            "role_type": "Person",
            "agent": null,
            "old_current_address": null,
            "old_future_address": null,
            "office_name": null,
            "office_email": null,
            "office_phone": null,
            "office_fax": null,
            "office_license_number": null,
            "office_mls_id": null,
            "office_address": {
              "city": "Los Angeles",
              "full": "11687 Bellagio Rd, Los Angeles CA 90049",
              "name": "Bellagio",
              "type": "stdaddr",
              "line1": "11687 Bellagio Rd",
              "line2": "Los Angeles CA 90049",
              "state": "CA",
              "country": "USA",
              "suftype": "Rd",
              "postcode": "90049",
              "house_num": "11687"
            },
            "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
            "current_address": null,
            "future_address": null,
            "type": "deal_role",
            "mlsid": null,
            "legal_full_name": "Wile E. Coyote"
          },
          "order": 1,
          "envelope_recipient_type": "Signer",
          "type": "envelope_recipient"
        },
        {
          "id": "cd0f4388-cac2-4ccb-8f1a-2635fb4c1f7c",
          "created_at": 1769132525.108073,
          "updated_at": 1769132525.108073,
          "signed_at": null,
          "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
          "status": "Created",
          "role": {
            "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
            "created_at": 1769132524.635419,
            "updated_at": 1769132524.635419,
            "deleted_at": null,
            "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "role": "SellerAgent",
            "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
            "user": {
              "type": "user",
              "username": null,
              "first_name": "Unit",
              "last_name": "Test",
              "email": "[email protected]",
              "phone_number": "+4368120265807",
              "created_at": 1493115498.770362,
              "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "address_id": null,
              "cover_image_url": null,
              "profile_image_url": null,
              "updated_at": 1769132523.434808,
              "user_status": "Active",
              "profile_image_thumbnail_url": null,
              "cover_image_thumbnail_url": null,
              "email_confirmed": true,
              "timezone": "America/Chicago",
              "user_type": "Agent",
              "deleted_at": null,
              "phone_confirmed": false,
              "is_shadow": false,
              "personal_room": null,
              "brand": null,
              "fake_email": false,
              "features": [
                "Deals"
              ],
              "last_seen_at": null,
              "email_signature": null,
              "daily_enabled": true,
              "email_quota": 30000,
              "website": null,
              "instagram": null,
              "twitter": null,
              "linkedin": null,
              "youtube": null,
              "facebook": null,
              "designation": null,
              "tiktok": null,
              "mfa_enabled": false,
              "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "current_time": "7:42 PM - Thursday Jan 22, 2026",
              "push_allowed": true,
              "agents": [
                {
                  "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                  "email": "[email protected]",
                  "mlsid": "00920130",
                  "fax": "(972) 264-4703",
                  "full_name": "Gholi Sweet",
                  "first_name": "Gholi",
                  "last_name": "Sweet",
                  "middle_name": null,
                  "phone_number": "(972) 264-4703",
                  "nar_number": "797500044",
                  "office_mui": "15512742",
                  "status": "Active",
                  "office_mlsid": "RCHT01X",
                  "work_phone": "(469) 358-8080",
                  "generational_name": null,
                  "matrix_unique_id": "155155530",
                  "updated_at": 1769132523.548348,
                  "deleted_at": null,
                  "created_at": 1769132523.548348,
                  "mls": "NTREIS",
                  "license_number": null,
                  "designation": null,
                  "nrds": "01053140",
                  "type": "agent",
                  "office_id": null,
                  "secret_questions": [
                    "(972) XXX-XX03",
                    "jewellxxxxxxxxxxxxxal.net",
                    "(469) XXX-XX80"
                  ]
                }
              ],
              "last_seen_type": null,
              "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
              "display_name": "Unit Test",
              "abbreviated_display_name": "Unit",
              "online_state": "Offline",
              "has_password": true
            },
            "commission_dollar": 20000,
            "brokerwolf_id": null,
            "brokerwolf_row_version": null,
            "legal_prefix": null,
            "legal_first_name": "Imaginary",
            "legal_middle_name": null,
            "legal_last_name": "Agent",
            "company_title": null,
            "commission_percentage": null,
            "email": "[email protected]",
            "phone_number": null,
            "checklist": null,
            "role_type": "Person",
            "agent": null,
            "old_current_address": null,
            "old_future_address": null,
            "office_name": null,
            "office_email": null,
            "office_phone": null,
            "office_fax": null,
            "office_license_number": null,
            "office_mls_id": null,
            "office_address": null,
            "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
            "current_address": null,
            "future_address": null,
            "type": "deal_role",
            "mlsid": null,
            "legal_full_name": "Imaginary Agent"
          },
          "order": 1,
          "envelope_recipient_type": "CarbonCopy",
          "type": "envelope_recipient"
        },
        {
          "id": "6642b91e-4fde-42ef-8d1d-5aa716e52fa7",
          "created_at": 1769132525.108685,
          "updated_at": 1769132525.108685,
          "signed_at": null,
          "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
          "status": "Created",
          "role": {
            "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
            "created_at": 1769132524.633775,
            "updated_at": 1769132524.633775,
            "deleted_at": null,
            "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "role": "BuyerAgent",
            "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
            "user": {
              "type": "user",
              "username": null,
              "first_name": "Unit",
              "last_name": "Test",
              "email": "[email protected]",
              "phone_number": "+4368120265807",
              "created_at": 1493115498.770362,
              "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "address_id": null,
              "cover_image_url": null,
              "profile_image_url": null,
              "updated_at": 1769132523.434808,
              "user_status": "Active",
              "profile_image_thumbnail_url": null,
              "cover_image_thumbnail_url": null,
              "email_confirmed": true,
              "timezone": "America/Chicago",
              "user_type": "Agent",
              "deleted_at": null,
              "phone_confirmed": false,
              "is_shadow": false,
              "personal_room": null,
              "brand": null,
              "fake_email": false,
              "features": [
                "Deals"
              ],
              "last_seen_at": null,
              "email_signature": null,
              "daily_enabled": true,
              "email_quota": 30000,
              "website": null,
              "instagram": null,
              "twitter": null,
              "linkedin": null,
              "youtube": null,
              "facebook": null,
              "designation": null,
              "tiktok": null,
              "mfa_enabled": false,
              "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "current_time": "7:42 PM - Thursday Jan 22, 2026",
              "push_allowed": true,
              "agents": [
                {
                  "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                  "email": "[email protected]",
                  "mlsid": "00920130",
                  "fax": "(972) 264-4703",
                  "full_name": "Gholi Sweet",
                  "first_name": "Gholi",
                  "last_name": "Sweet",
                  "middle_name": null,
                  "phone_number": "(972) 264-4703",
                  "nar_number": "797500044",
                  "office_mui": "15512742",
                  "status": "Active",
                  "office_mlsid": "RCHT01X",
                  "work_phone": "(469) 358-8080",
                  "generational_name": null,
                  "matrix_unique_id": "155155530",
                  "updated_at": 1769132523.548348,
                  "deleted_at": null,
                  "created_at": 1769132523.548348,
                  "mls": "NTREIS",
                  "license_number": null,
                  "designation": null,
                  "nrds": "01053140",
                  "type": "agent",
                  "office_id": null,
                  "secret_questions": [
                    "(972) XXX-XX03",
                    "jewellxxxxxxxxxxxxxal.net",
                    "(469) XXX-XX80"
                  ]
                }
              ],
              "last_seen_type": null,
              "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
              "display_name": "Unit Test",
              "abbreviated_display_name": "Unit",
              "online_state": "Offline",
              "has_password": true
            },
            "commission_dollar": null,
            "brokerwolf_id": null,
            "brokerwolf_row_version": null,
            "legal_prefix": null,
            "legal_first_name": "Wile",
            "legal_middle_name": "E.",
            "legal_last_name": "Coyote",
            "company_title": "ACME",
            "commission_percentage": 3,
            "email": "[email protected]",
            "phone_number": null,
            "checklist": null,
            "role_type": "Person",
            "agent": null,
            "old_current_address": null,
            "old_future_address": null,
            "office_name": null,
            "office_email": null,
            "office_phone": null,
            "office_fax": null,
            "office_license_number": null,
            "office_mls_id": null,
            "office_address": {
              "city": "Los Angeles",
              "full": "11687 Bellagio Rd, Los Angeles CA 90049",
              "name": "Bellagio",
              "type": "stdaddr",
              "line1": "11687 Bellagio Rd",
              "line2": "Los Angeles CA 90049",
              "state": "CA",
              "country": "USA",
              "suftype": "Rd",
              "postcode": "90049",
              "house_num": "11687"
            },
            "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
            "current_address": null,
            "future_address": null,
            "type": "deal_role",
            "mlsid": null,
            "legal_full_name": "Wile E. Coyote"
          },
          "order": 1,
          "envelope_recipient_type": "Signer",
          "type": "envelope_recipient"
        },
        {
          "id": "173d36f3-5e8f-48a4-9b11-61310c276df0",
          "created_at": 1769132525.109241,
          "updated_at": 1769132525.109241,
          "signed_at": null,
          "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
          "status": "Created",
          "role": {
            "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
            "created_at": 1769132524.635419,
            "updated_at": 1769132524.635419,
            "deleted_at": null,
            "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "role": "SellerAgent",
            "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
            "user": {
              "type": "user",
              "username": null,
              "first_name": "Unit",
              "last_name": "Test",
              "email": "[email protected]",
              "phone_number": "+4368120265807",
              "created_at": 1493115498.770362,
              "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "address_id": null,
              "cover_image_url": null,
              "profile_image_url": null,
              "updated_at": 1769132523.434808,
              "user_status": "Active",
              "profile_image_thumbnail_url": null,
              "cover_image_thumbnail_url": null,
              "email_confirmed": true,
              "timezone": "America/Chicago",
              "user_type": "Agent",
              "deleted_at": null,
              "phone_confirmed": false,
              "is_shadow": false,
              "personal_room": null,
              "brand": null,
              "fake_email": false,
              "features": [
                "Deals"
              ],
              "last_seen_at": null,
              "email_signature": null,
              "daily_enabled": true,
              "email_quota": 30000,
              "website": null,
              "instagram": null,
              "twitter": null,
              "linkedin": null,
              "youtube": null,
              "facebook": null,
              "designation": null,
              "tiktok": null,
              "mfa_enabled": false,
              "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
              "current_time": "7:42 PM - Thursday Jan 22, 2026",
              "push_allowed": true,
              "agents": [
                {
                  "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                  "email": "[email protected]",
                  "mlsid": "00920130",
                  "fax": "(972) 264-4703",
                  "full_name": "Gholi Sweet",
                  "first_name": "Gholi",
                  "last_name": "Sweet",
                  "middle_name": null,
                  "phone_number": "(972) 264-4703",
                  "nar_number": "797500044",
                  "office_mui": "15512742",
                  "status": "Active",
                  "office_mlsid": "RCHT01X",
                  "work_phone": "(469) 358-8080",
                  "generational_name": null,
                  "matrix_unique_id": "155155530",
                  "updated_at": 1769132523.548348,
                  "deleted_at": null,
                  "created_at": 1769132523.548348,
                  "mls": "NTREIS",
                  "license_number": null,
                  "designation": null,
                  "nrds": "01053140",
                  "type": "agent",
                  "office_id": null,
                  "secret_questions": [
                    "(972) XXX-XX03",
                    "jewellxxxxxxxxxxxxxal.net",
                    "(469) XXX-XX80"
                  ]
                }
              ],
              "last_seen_type": null,
              "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
              "display_name": "Unit Test",
              "abbreviated_display_name": "Unit",
              "online_state": "Offline",
              "has_password": true
            },
            "commission_dollar": 20000,
            "brokerwolf_id": null,
            "brokerwolf_row_version": null,
            "legal_prefix": null,
            "legal_first_name": "Imaginary",
            "legal_middle_name": null,
            "legal_last_name": "Agent",
            "company_title": null,
            "commission_percentage": null,
            "email": "[email protected]",
            "phone_number": null,
            "checklist": null,
            "role_type": "Person",
            "agent": null,
            "old_current_address": null,
            "old_future_address": null,
            "office_name": null,
            "office_email": null,
            "office_phone": null,
            "office_fax": null,
            "office_license_number": null,
            "office_mls_id": null,
            "office_address": null,
            "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
            "current_address": null,
            "future_address": null,
            "type": "deal_role",
            "mlsid": null,
            "legal_full_name": "Imaginary Agent"
          },
          "order": 1,
          "envelope_recipient_type": "CarbonCopy",
          "type": "envelope_recipient"
        }
      ],
      "documents": [
        {
          "id": "a773652b-69af-4af8-8245-f74a5d856145",
          "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
          "title": "Addendum for Back-Up Contract.pdf",
          "document_id": 1,
          "submission_revision": "7ded7881-cf37-4c0e-b7a5-6a4e213cf244",
          "file": null,
          "task": "ef4fad56-0005-4634-b234-c49ca8d428a3",
          "submission": "f4b77f0a-1773-4344-8945-3ed8f9a42fb2",
          "type": "envelope_document",
          "pdf": {
            "id": "18167cf4-4fc4-4547-8494-8fb9d7c634f6",
            "created_at": 1769132526.079523,
            "updated_at": 1769132526.079523,
            "deleted_at": null,
            "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "path": "3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf",
            "name": "Addendum for Back-Up Contract.pdf.pdf",
            "public": false,
            "type": "file",
            "url": "https://private-cdn.irish.rechat.com/3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf?Expires=1769218926083&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=Ljf9sCCO3blVEuTBqyXNqon4eXN3OkRzHC2Vmtm07DnEq61BHNHFI5irMySF9RdRd5MwcEprNQ6XirHNG-Ycpa5nz3cnro-gh0EgsOtM4Q-3g6twFhNtYYjW47C20mEMMy0nZ3WwRnpGIgtNlBsMT0hV18tRORFdZk7WAqFR6f5B2~sYiF~EkHpltC~pm709VUDLIKUWctCdIJge9MyQkNjJL4jpw5pjBj1-oZUbJVus7DgciYAzxSjd20UnMWAa7kLjldLKsQ8uVRNOGJWR2aheeQ2eCbFD2bvilDoJierivKXrvYMeqf-gxCU4UMvNcUH--lfGQ5SYZPHUib52MQ__",
            "preview_url": "http://assets.rechat.com/mimes/application-pdf.png",
            "mime": "application/pdf"
          }
        }
      ]
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Sign an Envelope

Sign an Envelope
GET/envelopes/:id:/sign/:recipient

If the current user is among envelope.recipients, it means he should be able to sign it as well.

The process of signing is as follows:

  1. User’s browser will be opened to /envelopes/:id/sign/:recipient

  2. User’s browser will be redirected to a page on Docusign where he can sign the document

  3. User’s browser will be sent back to Rechat

  4. Rechat updates the Envelope information

  5. Control is given back to client (either using Browser’s postMessage mechanism or redirecting him to rechat:// on phones)

  6. Client updates the envelope information

Example URI

GET /envelopes/:id:/sign/:recipient

Void an Envelope

Void an Envelope
PATCH/envelopes/:id:/status

If for any reason (for example presence of an error in the legal documents) the agent decides that the envelope must not be legally binded, he can Void (Cancel) it.

If any of the recipients Voids the contract, that means he refuses to sign it. The envelope in question and all of its documents will not be legally binded and nobody can sign it anymore.

Example URI

PATCH /envelopes/:id:/status
URI Parameters
HideShow
id
string (required) Example: a11b9e6f-688d-4649-81e2-7dce84b7e57d
Request
HideShow
Body
{
  "status": "Voided"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
    "created_at": 1769132525.094264,
    "updated_at": 1769132526.637227,
    "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
    "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
    "docusign_id": "0bd9ee91-0146-4268-8230-f8f4094935b5",
    "status": "Voided",
    "title": "This envelope is sent automatically from our test suite",
    "webhook_token": "b8b17886-f7fc-11f0-952b-d6c27ed4418a",
    "auto_notify": true,
    "owner": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
    "type": "envelope",
    "recipients": [
      {
        "id": "7e3929cc-7d70-4e81-8286-e5480eeff0d0",
        "created_at": 1769132525.106992,
        "updated_at": 1769132525.106992,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
          "created_at": 1769132524.633775,
          "updated_at": 1769132524.633775,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "BuyerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": null,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Wile",
          "legal_middle_name": "E.",
          "legal_last_name": "Coyote",
          "company_title": "ACME",
          "commission_percentage": 3,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": {
            "city": "Los Angeles",
            "full": "11687 Bellagio Rd, Los Angeles CA 90049",
            "name": "Bellagio",
            "type": "stdaddr",
            "line1": "11687 Bellagio Rd",
            "line2": "Los Angeles CA 90049",
            "state": "CA",
            "country": "USA",
            "suftype": "Rd",
            "postcode": "90049",
            "house_num": "11687"
          },
          "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Wile E. Coyote"
        },
        "order": 1,
        "envelope_recipient_type": "Signer",
        "type": "envelope_recipient"
      },
      {
        "id": "cd0f4388-cac2-4ccb-8f1a-2635fb4c1f7c",
        "created_at": 1769132525.108073,
        "updated_at": 1769132525.108073,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
          "created_at": 1769132524.635419,
          "updated_at": 1769132524.635419,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "SellerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": 20000,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Imaginary",
          "legal_middle_name": null,
          "legal_last_name": "Agent",
          "company_title": null,
          "commission_percentage": null,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": null,
          "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Imaginary Agent"
        },
        "order": 1,
        "envelope_recipient_type": "CarbonCopy",
        "type": "envelope_recipient"
      },
      {
        "id": "6642b91e-4fde-42ef-8d1d-5aa716e52fa7",
        "created_at": 1769132525.108685,
        "updated_at": 1769132525.108685,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "302d5697-3bb3-46bc-ae6d-3da2194cbe95",
          "created_at": 1769132524.633775,
          "updated_at": 1769132524.633775,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "BuyerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": null,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Wile",
          "legal_middle_name": "E.",
          "legal_last_name": "Coyote",
          "company_title": "ACME",
          "commission_percentage": 3,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": {
            "city": "Los Angeles",
            "full": "11687 Bellagio Rd, Los Angeles CA 90049",
            "name": "Bellagio",
            "type": "stdaddr",
            "line1": "11687 Bellagio Rd",
            "line2": "Los Angeles CA 90049",
            "state": "CA",
            "country": "USA",
            "suftype": "Rd",
            "postcode": "90049",
            "house_num": "11687"
          },
          "searchable": "'acm':1 'coyot':4 'e':3 '[email protected]':5 'wile':2",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Wile E. Coyote"
        },
        "order": 1,
        "envelope_recipient_type": "Signer",
        "type": "envelope_recipient"
      },
      {
        "id": "173d36f3-5e8f-48a4-9b11-61310c276df0",
        "created_at": 1769132525.109241,
        "updated_at": 1769132525.109241,
        "signed_at": null,
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "status": "Created",
        "role": {
          "id": "8a6d2d3a-5e72-4bf2-8dbf-66275d209175",
          "created_at": 1769132524.635419,
          "updated_at": 1769132524.635419,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "role": "SellerAgent",
          "deal": "3752685b-3fab-488a-a3cb-b8573bc16307",
          "user": {
            "type": "user",
            "username": null,
            "first_name": "Unit",
            "last_name": "Test",
            "email": "[email protected]",
            "phone_number": "+4368120265807",
            "created_at": 1493115498.770362,
            "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "address_id": null,
            "cover_image_url": null,
            "profile_image_url": null,
            "updated_at": 1769132523.434808,
            "user_status": "Active",
            "profile_image_thumbnail_url": null,
            "cover_image_thumbnail_url": null,
            "email_confirmed": true,
            "timezone": "America/Chicago",
            "user_type": "Agent",
            "deleted_at": null,
            "phone_confirmed": false,
            "is_shadow": false,
            "personal_room": null,
            "brand": null,
            "fake_email": false,
            "features": [
              "Deals"
            ],
            "last_seen_at": null,
            "email_signature": null,
            "daily_enabled": true,
            "email_quota": 30000,
            "website": null,
            "instagram": null,
            "twitter": null,
            "linkedin": null,
            "youtube": null,
            "facebook": null,
            "designation": null,
            "tiktok": null,
            "mfa_enabled": false,
            "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
            "current_time": "7:42 PM - Thursday Jan 22, 2026",
            "push_allowed": true,
            "agents": [
              {
                "id": "4f4854fe-7b09-49e6-80eb-6d79794c3cd8",
                "email": "[email protected]",
                "mlsid": "00920130",
                "fax": "(972) 264-4703",
                "full_name": "Gholi Sweet",
                "first_name": "Gholi",
                "last_name": "Sweet",
                "middle_name": null,
                "phone_number": "(972) 264-4703",
                "nar_number": "797500044",
                "office_mui": "15512742",
                "status": "Active",
                "office_mlsid": "RCHT01X",
                "work_phone": "(469) 358-8080",
                "generational_name": null,
                "matrix_unique_id": "155155530",
                "updated_at": 1769132523.548348,
                "deleted_at": null,
                "created_at": 1769132523.548348,
                "mls": "NTREIS",
                "license_number": null,
                "designation": null,
                "nrds": "01053140",
                "type": "agent",
                "office_id": null,
                "secret_questions": [
                  "(972) XXX-XX03",
                  "jewellxxxxxxxxxxxxxal.net",
                  "(469) XXX-XX80"
                ]
              }
            ],
            "last_seen_type": null,
            "active_brand": "f4854cfd-0eb7-4fcd-b29c-bd69146db90c",
            "display_name": "Unit Test",
            "abbreviated_display_name": "Unit",
            "online_state": "Offline",
            "has_password": true
          },
          "commission_dollar": 20000,
          "brokerwolf_id": null,
          "brokerwolf_row_version": null,
          "legal_prefix": null,
          "legal_first_name": "Imaginary",
          "legal_middle_name": null,
          "legal_last_name": "Agent",
          "company_title": null,
          "commission_percentage": null,
          "email": "[email protected]",
          "phone_number": null,
          "checklist": null,
          "role_type": "Person",
          "agent": null,
          "old_current_address": null,
          "old_future_address": null,
          "office_name": null,
          "office_email": null,
          "office_phone": null,
          "office_fax": null,
          "office_license_number": null,
          "office_mls_id": null,
          "office_address": null,
          "searchable": "'agent':2 'imaginari':1 '[email protected]':3",
          "current_address": null,
          "future_address": null,
          "type": "deal_role",
          "mlsid": null,
          "legal_full_name": "Imaginary Agent"
        },
        "order": 1,
        "envelope_recipient_type": "CarbonCopy",
        "type": "envelope_recipient"
      }
    ],
    "documents": [
      {
        "id": "a773652b-69af-4af8-8245-f74a5d856145",
        "envelope": "a11b9e6f-688d-4649-81e2-7dce84b7e57d",
        "title": "Addendum for Back-Up Contract.pdf",
        "document_id": 1,
        "submission_revision": "7ded7881-cf37-4c0e-b7a5-6a4e213cf244",
        "file": null,
        "task": "ef4fad56-0005-4634-b234-c49ca8d428a3",
        "submission": "f4b77f0a-1773-4344-8945-3ed8f9a42fb2",
        "type": "envelope_document",
        "pdf": {
          "id": "18167cf4-4fc4-4547-8494-8fb9d7c634f6",
          "created_at": 1769132526.079523,
          "updated_at": 1769132526.079523,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "path": "3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf",
          "name": "Addendum for Back-Up Contract.pdf.pdf",
          "public": false,
          "type": "file",
          "url": "https://private-cdn.irish.rechat.com/3752685b-3fab-488a-a3cb-b8573bc16307/b94743c0-f7fc-11f0-8c7d-09c4c6e349ce.pdf?Expires=1769218926083&Key-Pair-Id=APKAIIRG223GKFAC4MHA&Signature=Ljf9sCCO3blVEuTBqyXNqon4eXN3OkRzHC2Vmtm07DnEq61BHNHFI5irMySF9RdRd5MwcEprNQ6XirHNG-Ycpa5nz3cnro-gh0EgsOtM4Q-3g6twFhNtYYjW47C20mEMMy0nZ3WwRnpGIgtNlBsMT0hV18tRORFdZk7WAqFR6f5B2~sYiF~EkHpltC~pm709VUDLIKUWctCdIJge9MyQkNjJL4jpw5pjBj1-oZUbJVus7DgciYAzxSjd20UnMWAa7kLjldLKsQ8uVRNOGJWR2aheeQ2eCbFD2bvilDoJierivKXrvYMeqf-gxCU4UMvNcUH--lfGQ5SYZPHUib52MQ__",
          "preview_url": "http://assets.rechat.com/mimes/application-pdf.png",
          "mime": "application/pdf"
        }
      }
    ]
  }
}

Generated by aglio on 23 Jan 2026